package com.flossom.system.service;

import com.flossom.common.core.domain.entity.WxScriptTag;

import java.util.List;

/**
 * 话术模板与标签关联Service接口
 *
 * @author flossom
 * @date 2024-01-05
 */
public interface IWxScriptTagService
{
    /**
     * 查询话术模板与标签关联
     *
     * @param id 话术模板与标签关联主键
     * @return 话术模板与标签关联
     */
    public WxScriptTag selectWxScriptTagById(Long id);

    /**
     * 查询话术模板与标签关联列表
     *
     * @param wxScriptTag 话术模板与标签关联
     * @return 话术模板与标签关联集合
     */
    public List<WxScriptTag> selectWxScriptTagList(WxScriptTag wxScriptTag);

    /**
     * 新增话术模板与标签关联
     *
     * @param wxScriptTag 话术模板与标签关联
     * @return 结果
     */
    public int insertWxScriptTag(WxScriptTag wxScriptTag);

    /**
     * 修改话术模板与标签关联
     *
     * @param wxScriptTag 话术模板与标签关联
     * @return 结果
     */
    public int updateWxScriptTag(WxScriptTag wxScriptTag);

    /**
     * 批量删除话术模板与标签关联
     *
     * @param ids 需要删除的话术模板与标签关联主键集合
     * @return 结果
     */
    public int deleteWxScriptTagByIds(Long[] ids);

    /**
     * 删除话术模板与标签关联信息
     *
     * @param id 话术模板与标签关联主键
     * @return 结果
     */
    public int deleteWxScriptTagById(Long id);

    /**
     * 删除话术模板与标签关联信息
     *
     * @param tagId 标签ID
     * @return 结果
     */
    public int deleteWxScriptTagByTagId(Long tagId);

}
